AWS
probe ECS

# are_all_desired_tasks_running

Checks to make sure desired and running tasks counts are equal

Run it now
View details

Type | probe
Module | chaosaws.ecs.probes
Name | are_all_desired_tasks_running
Return | boolean

Usage

JSON

    {
      "name": "are-all-desired-tasks-running",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.ecs.probes",
        "func": "are_all_desired_tasks_running",
        "arguments": {
          "cluster": "",
          "service": ""
        }
      }
    }

YAML

    name: are-all-desired-tasks-running
    provider:
      arguments:
        cluster: ""
        service: ""
      func: are_all_desired_tasks_running
      module: chaosaws.ecs.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
cluster | string |  | Yes | Cluster | Name of the target ECS cluster
service | string |  | Yes | Service | Name of the target service

Signature

    def are_all_desired_tasks_running(
            cluster: str,
            service: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- AWS
  action ECS

  ## `stop_task`

  Stop a given ECS task instance. If no task_id is provided, a random task of the given service is stopped
- AWS
  action ECS

  ## `tag_resource`

  Tags the provided resource(s) with provided tags
- AWS
  action ECS

  ## `stop_random_tasks`

  Stop a random number of tasks based on given task_count or task_percent